/* http://meyerweb.com/eric/tools/css/reset/ 
v2.0 | 20110126
License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}


/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

html {
    font-size: 62.5%;
}

body * {
    box-sizing: border-box;
}

@font-face {
    font-family: 'santral-bookuploaded_file';
    src: url('../fonts/santral-book-webfont.woff2') format('woff2'), url('../fonts/santral-book-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-size: 1.6rem;
    font-family: 'santral-bookuploaded_file';
}

.wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

header {
    text-align: center;
    margin-bottom: 2rem;
}

header img {
    width: 130px;
    padding: 2rem 0;
   
}

.ta-form-select {
    background-color: transparent;
    border: 1px solid #8490a5;
    padding: 0.8rem;
    border-radius: 0.5rem;
    color: #8490a5;
    width: 100%;
    font-size: 1.6rem;
    font-family: 'santral-bookuploaded_file';
    height: 41px;
    background: url(../img/icons/fleche-down.png) no-repeat right rgb(255, 255, 255);
    background-position-x: right;
    -webkit-appearance: none;
    background-position-x: calc(100% - 15px);
    background-size: 16px;
}

h2 {
    margin: 3rem 0;
    color: #183356;
    font-weight: bold;
}

.ta-form-control {
    display: block;
    border: 1px solid #8490a5;
    padding: 1rem;
    border-radius: 0.5rem;
    width: 100%;
    color: #8490a5;
    font-size: 1.6rem;
    height: 41px;
}

.ta-form-control:focus,
.ta-form-select:focus {
    outline: 1px solid #2c7caa;
}

.ta-form-label {
    color: #8490a5;
    margin-bottom: 1rem;
    display: inline-block;
}

.group-input {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 2rem;
    column-gap: 1rem;
    align-items: flex-start;
}

.group-input.solvabilite {
    align-items: flex-start;
}

.ta-form-group {
    width: 100%;
}

.ta-input-range.w80 {
    width: 80%;
}

.w100 {
    width: 100%;
}

.ta-mt-2 {
    margin-top: 2rem;
}

.label-solvabilite {
    min-width: 100px;
}

.ta-container {
    width: 60%;
    margin: 0 auto;
}

.input-button {
    width: 38px;
    height: 41px;
    display: flex;
    align-items: center;
    background-color: #8490a5;
    transition: all 0.1s ease-out;
}

.input-button:hover {
    background-color: #2c7caa;
}

.ta-form-group-container-icon {
    position: relative;
}

.ta-form-group-icon {
    position: absolute;
    top: 26px;
    right: 0;
    cursor: pointer;
}

.ta-form-group-icon img {
    width: 15px;
    margin: 0 auto;
}

.ta-container-submit {
    display: flex;
    justify-content: center;
    padding: 4rem 0;
}

.ta-btn-bleu-fonce {
    font-family: 'santral-bookuploaded_file';
    border: 1px solid #183356;
    background-color: #183356;
    color: white;
    padding: 1rem 1rem;
    font-size: 1.6rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.1s ease-out;
}

.ta-btn-bleu-fonce:hover,
.ta-btn-bleu-fonce:focus {
    background-color: #2c7caa;
    border: 1px solid #2c7caa;
}

.ta-btn-gris-fonce {
    font-family: 'santral-bookuploaded_file';
    border: 1px solid #8490A5;
    background-color: #8490A5;
    color: white;
    padding: 1rem 1rem;
    font-size: 1.6rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.1s ease-out;
}

.ta-btn-gris-fonce:hover,
.ta-btn-gris-fonce:focus {
    background-color: #6d7788;
    border: 1px solid #6d7788;
}

.ta-table {
    border-spacing: 7px;
    border-collapse: separate;
}

.ta-table th {
    padding: 1rem;
    text-align: left;
    background-color: #183356;
    color: white;
    border-radius: 0.5rem;
}

.ta-table td {
    padding: 1rem;
    text-align: left;
    background-color: #e9eff4;
    color: #8490a5;
    border-radius: 0.5rem;
}

.ta-table-container {
    width: 90%;
    margin: auto;
}

td.ta-table-td-options {
    padding: 0;
    display: flex;
    justify-content: center;
    column-gap: 0.5rem;
    background-color: transparent;
    align-items: center;
}

.ta-table-th-options {
    width: 80px;
}

.ta-table-option {
    padding: 0.8rem 1rem;
    border-radius: 0.5rem;
}

.ta-table-option.edit {
    background-color: #2c7caa;
}

.ta-table-option.edit:hover,
.ta-table-option.delete:hover {
    filter: brightness(80%);
}

.ta-table-option.delete {
    background-color: #ed1c24;
}

.ta-table-option img {
    width: 14px;
}

section#page-calculer {
    width: 50%;
}

#page-calculer .ta-container-submit {
    padding: 0;
}

#page-calculer .group-input {
    align-items: end;
}

.calculer .ta-btn-bleu-fonce {
    padding: 1rem 1rem;
}

.ta-table-container-comparatif {
    width: 100%;
}

.display-flex-right {
    display: flex;
    justify-content: flex-start;
}

h2.medium {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 1.8rem;
}

h3 {
    font-size: 1.6rem;
    text-transform: capitalize;
    margin-bottom: 2rem;
}

.bouton-ajouter {
    font-family: 'santral-bookuploaded_file';
    border: 1px solid #2c7caa;
    background-color: #2c7caa;
    color: white;
    padding: 0.7rem 4.5rem 0.7rem 1rem;
    font-size: 1.6rem;
    border-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.1s ease-out;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    position: relative;
}

.bouton-ajouter:hover {
    border: 1px solid #183356;
    background-color: #183356;
}

.button-group span {
    background-color: #e9eff4;
    padding: 0.8rem 1rem;
    position: absolute;
    top: -1px;
    right: -1px;
}

.button-group span img {
    width: 14px;
}

.display-flex {
    display: flex;
}

.justify-content-between {
    justify-content: space-between;
}
.align-items-center{
    align-items: center;
}

.ta-btn-actif {
    font-family: 'santral-bookuploaded_file';
    border: 1px solid #183356;
    background-color: #183356;
    color: white;
    padding: 0.7rem 1rem;
    font-size: 1.6rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.1s ease-out;
    text-decoration: none;
}

.ta-btn-inactif {
    font-family: 'santral-bookuploaded_file';
    border: 1px solid #e9eff4;
    background-color: #e9eff4;
    color: white;
    padding: 0.7rem 1rem;
    font-size: 1.6rem;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.1s ease-out;
    text-decoration: none;
    color: #8490A5;
}

.margin-top-bottom {
    margin: 4rem 0;
}

.margin-right {
    margin-right: 1rem;
}

.ta-table td.head-info {
    color: white;
    background-color: #8490a5;
}

.head-first-col {
    width: 100px;
}

.ta-table td.gris {
    background-color: #8490A5;
    border-color: #8490A5;
    color: white;
}

.bouton-ajouter.gris {
    background-color: #8490A5;
    border-color: #8490A5;
}

.bouton-ajouter.gris:hover {
    background-color: #6d7788;
    border-color: #6d7788;
}

td a {
    color: #8490a5;
}

td a:hover {
    color: #183356;
}

.statut {
    text-transform: uppercase;
    font-weight: bold;
}

.statut.green {
    color: green
}

.statut.red {
    color: #ED1C24;
}

.statut.grey {
    color: #8490A5;
}

.ta-table-contrat {
    border-collapse: separate;
    border-spacing: 0 1rem;
}

.ta-table-contrat td {
    padding: 1rem;
    text-align: left;
    background-color: #e9eff4;
    color: #8490a5;
    width: 50%;
}

td.left {
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}

td.right {
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

.margin-top {
    margin-top: 4rem;
}

td.ta-table-td-option {
    padding: 0;
    width: 1%;
}

.error-message,
.error-message-info {
    display: none;
}

input.error,
select.error {
    border: 1px solid #ED1C24;
}

.error+.error-message {
    display: block;
    font-size: 1.4rem;
    color: #ED1C24;
    margin-top: 0.5rem;
}

.error-info~.error-message-info {
    display: block;
    font-size: 1.4rem;
    color: #ED1C24;
    margin-top: 0.5rem;
}

.overflow-auto {
    overflow: auto;
}

.ajout-bareme-commission {
    width: 300px;
}


/* .bouton-ajouter { 
padding: 0.7rem 4rem 0.7rem 1rem; 
font-size: 1.6rem; 
border-radius: 0.5rem; 
cursor: pointer; 
transition: all 0.1s ease-out; 
border: 1px solid #2c7caa; 
background-color: #2c7caa; 
color: white; 
position: relative; 
} 

.bouton-ajouter::after { 
content: url(../img/icons/ajouter.svg); 
position: absolute; 
top: 0px; 
width: 20px; 
height: 22.5px; 
margin-left: 1rem; 
background-color: #e9eff4; 
padding: 0.5rem; 
border-radius: 0.4rem; 
} 

.bouton-ajouter:hover { 
background-color: #183356; 
border: 1px solid #183356; 
} */


/* .bouton-ajouter:hover::after { 
background-color: #8490a5; 
} */


/*
INPUT PERSONNALISE
*/

.inputfile-box {
    position: relative;
    left: 0px;
    width: 100%;
}

.inputfile {
    display: none;
}

.container {
    display: inline-block;
    width: 100%;
}

.file-box {
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    height: 38px;
    border: 1px solid #8490a5;
    padding: 1rem;
    cursor: pointer;
    border-radius: 0.5rem;
    color: #8490a5;
}

.file-button {
    background-color: #8490a5;
    padding: 5px;
    position: absolute;
    border: 1px solid #8490a5;
    top: 0px;
    right: 0px;
    height: 38px;
    display: flex;
    cursor: pointer;
    align-items: center;
}

.file-button img {
    width: 15px;
    margin: 0 auto;
}


/*
FIN INPUT PERSONNALISE
*/

#form-ajout-contrat>div {
    display: none;
}

#form-ajout-contrat .show {
    display: block;
}

tr.hide {
    display: none;
}

.ta-container-show-search {
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: auto;
    align-items: center;
    margin-bottom: 2rem;
    color: #8490A5;
}

.ta-container-show-search select {
    width: 82px;
}

.ta-container-show-search .ta-form-group {
    width: 250px;
}

#container-pagination {
    width: 90%;
    margin: 2rem auto;
    display: flex;
    justify-content: center;
}

#container-pagination a {
    padding: 0.5rem 1rem;
    /* background-color: #e9eff4; */
    margin: 0 0.25rem;
    cursor: pointer;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
    background-color: #8490A5;
    color: white;
    user-select: none;
}

#container-pagination button {
    padding: 0.5rem 1rem;
    /* background-color: #e9eff4; */
    margin: 0 0.25rem;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
    border: none;
    background-color: #8490A5;
    color: white;
    user-select: none;
}

#container-pagination a:hover,
#container-pagination button:hover:enabled {
    /* background-color: #8490A5; */
    color: #183356;
    cursor: pointer;
    background-color: #e9eff4;
}

#container-pagination button:disabled {
    /* background-color: #8490A5; */
    cursor: not-allowed;
    background-color: #fff;
    color: #8490A5;
}

#container-pagination a.active-page {
    /* background-color: #8490A5; */
    color: #183356;
    background-color: #e9eff4;
}

td.input-coef,
th.input-coef {
    padding: 0;
}

td.input-coef input {
    height: 36px;
    width: 100%;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
    border: none;
    background-color: #e9eff4;
    min-width: 70px;
}

th.input-coef input {
    height: 36px;
    width: 100%;
    border-radius: 0.5rem;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
    border: none;
    background-color: #183356;
    color: white;
    min-width: 70px;
}

td.input-coef input:focus {
    outline: 1px solid #8490a5;
}

th.input-coef input:focus {
    outline: 1px solid #8490a5;
    background-color: #8490a5;
}


/* Firefox */

input[type=number] {
    -moz-appearance: textfield;
}


/* Chrome */

input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}


/* Opéra*/

input::-o-inner-spin-button,
input::-o-outer-spin-button {
    -o-appearance: none;
    margin: 0
}


/* input[type=range] {
height: 25px;
-webkit-appearance: none;
margin: 10px 0;
width: 100%;
border: none;
max-width: 100%;
}

input[type=range]:focus {
outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
width: 100%;
height: 1px;
cursor: pointer;
box-shadow: 0px 0px 0px #000000;
background: #3071A9;
border-radius: 0px;
border: 0px solid #000000;
}

input[type=range]::-webkit-slider-thumb {
box-shadow: 0px 0px 0px #000000;
border: 0px solid #000000;
height: 19px;
width: 1px;
border-radius: 0px;
background: #000000;
cursor: pointer;
-webkit-appearance: none;
margin-top: -9px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
background: #3071A9;
}

input[type=range]::-moz-range-track {
width: 100%;
height: 1px;
cursor: pointer;
box-shadow: 0px 0px 0px #000000;
background: #3071A9;
border-radius: 0px;
border: 0px solid #000000;
}

input[type=range]::-moz-range-thumb {
box-shadow: 0px 0px 0px #000000;
border: 0px solid #000000;
height: 19px;
width: 1px;
border-radius: 0px;
background: #000000;
cursor: pointer;
}

input[type=range]::-ms-track {
width: 100%;
height: 1px;
cursor: pointer;
background: transparent;
border-color: transparent;
color: transparent;
}

input[type=range]::-ms-fill-lower {
background: #3071A9;
border: 0px solid #000000;
border-radius: 0px;
box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-fill-upper {
background: #3071A9;
border: 0px solid #000000;
border-radius: 0px;
box-shadow: 0px 0px 0px #000000;
}

input[type=range]::-ms-thumb {
margin-top: 1px;
box-shadow: 0px 0px 0px #000000;
border: 0px solid #000000;
height: 19px;
width: 1px;
border-radius: 0px;
background: #000000;
cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
background: #3071A9;
}

input[type=range]:focus::-ms-fill-upper {
background: #3071A9;
} */


/* SWITCH */

input[type=checkbox] {
    height: 0;
    width: 0;
    visibility: hidden;
}

label.label-switch {
    cursor: pointer;
    text-indent: -9999px;
    width: 52px;
    height: 25px;
    background: #E9EFF4;
    display: block;
    border-radius: 100px;
    position: relative;
}

label.label-switch::after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 21px;
    height: 21px;
    background: #fff;
    border-radius: 90px;
    transition: 0.3s;
}

input:checked+label.label-switch {
    background: #8490A5;
}

input:checked+label.label-switch:after {
    left: calc(100% - 2px);
    transform: translateX(-100%);
}


/* label:active:after { 
width: 130px; 
} */


/* FIN SWITCH */


/* 
input[type=range] {
-webkit-appearance: none;
display: block;
margin: 0;
width: 100%;
background: transparent;
}

input[type=range]::-moz-range-track {
-webkit-appearance: none;
width: 100%;
height: 1px;
color: transparent;
background: #183356;
border-radius: 999px;
cursor: pointer;
}

input[type=range]::-webkit-slider-runnable-track {
-webkit-appearance: none;
width: 100%;
height: 1px;
color: transparent;
background: #183356;
border-radius: 999px;
cursor: pointer;
} */


/* input[type=range]::-ms-fill-lower {
display: none;
}

input[type=range]::-ms-fill-upper {
display: none;
}

input[type=range]::-webkit-slider-thumb {
-webkit-appearance: none;
height: 10px;
width: 10px;
border-radius: 30px;
background: #183356;
cursor: pointer;
margin-top: -1rem;
}

input[type=range]::-moz-range-thumb {
-webkit-appearance: none;
height: 10px;
width: 10px;
border-radius: 30px;
background: #183356;
cursor: pointer;
}

input[type=range]::-ms-thumb {
-webkit-appearance: none;
height: 40px;
width: 40px;
border-radius: 30px;
background: black;
box-shadow: 0px 2px 10px -2px black(1);
} */

.ticks {
    display: flex;
    justify-content: space-between;
    padding: 10px 0px;
    font-size: 1rem;
    margin-top: -18px;
}


/* .tick {
position: relative;
display: flex;
justify-content: center;
width: 1px;
background: gray;
height: 10px;
line-height: 50px;
margin-bottom: 20px;
} */

.tick {
    position: relative;
    display: flex;
    justify-content: center;
    line-height: 56px;
    margin-bottom: 20px;
    width: 2px;
    height: 15px;
    cursor: pointer;
    background-color: #183356;
}

#container-notation {
    width: 100%;
    margin: 0 auto;
    padding: 1rem 0;
    position: relative;
}

#ligne {
    height: 1px;
    background-color: #183356;
}

#thumb {
    position: absolute;
    width: 14px;
    height: 13px;
    background-color: #183356;
    border-radius: 50%;
    top: 0.35rem;
    left: -6px;
    cursor: pointer;
    z-index: 1;
}

.tick::after {
    content: "";
    padding: 3rem 0;
}


/* @media screen and (max-width: 700px) {
    .ta-table thead {
        display: none;
    }
    .ta-table tr {
        display: block;
        margin-bottom: 40px;
    }
    .ta-table td {
        display: block;
        text-align: right;
    }
    .ta-table td:before {
        content: attr(data-label);
        float: left;
        font-weight: bold;
    } 
} */



@media screen and (max-width: 1023px){
    .ta-container{
        width:90%;
    }
    section#page-calculer {
        width: 70%;
    }
}

@media screen and (max-width: 500px){
    .group-input{
        flex-direction: column;
    }
    .ta-form-group.mobile{
        margin-bottom: 2rem;
    }
    .ta-container-show-search{
        flex-direction: column;
        row-gap: 2rem;
    }
    .div-button-actif-inactif{
        flex-direction: column;
        row-gap: 3rem;
    }

}